%%
load('data_Step_Test.mat');
figure(1);
%% r
subplot(3,1,1);
plot(r34r,'k-','linewidth',0.8);
axis([19000 23000 0 0.25]);
ylabel({'Resistance Load';'Increment()'},'FontSize',9);
title(' ','FontSize',9);
set(gca,'xtick',[],'xticklabel',[])
%% v
subplot(3,1,2);
plot(v34r,'color',[0,0.75,0.75],'Linestyle','--','linewidth',0.8);
hold on;
plot(v36r,'color',[1,0.5,0],'Linestyle','-','linewidth',0.8);
hold on;
plot(v38r,'b:','linewidth',0.8);
hold on;
plot(v41r,'color',[0.75,0,0.75],'Linestyle','-.','linewidth',0.8);
hold on
axis([19000 23000 139.8 142.6]);
legend('1#','2#','3#','5#');
ylabel('Output Voltage(V)','FontSize',9);
title(' ','FontSize',9);
set(gca,'xtick',[],'xticklabel',[])
%% fu
subplot(3,1,3);
plot(fu34r,'color',[0,0.75,0.75],'Linestyle','--','linewidth',0.8);
hold on;
plot(fu36r,'color',[1,0.5,0],'Linestyle','-','linewidth',0.8);
hold on;
plot(fu38r,'b:','linewidth',0.8);
hold on;
plot(fu41r,'color',[0.75,0,0.75],'Linestyle','-.','linewidth',0.8);
hold on
axis([19000 23000 0.76 0.805]);
legend('1#','2#','3#','5#');
xlabel('Time(s)','FontSize',9);
ylabel('Fuel Utilization Rate','FontSize',9);
title(' ','FontSize',9);
%%
figure(2);
%% h
subplot(3,1,1);
plot(h34h,'k-','linewidth',0.8);
axis([19000 23000 0 0.25]);
ylabel({'Hydrogen Flow Rate';'Increment(10^-4mol/s)'},'FontSize',9);
title(' ','FontSize',9);
set(gca,'xtick',[],'xticklabel',[])
%% v
subplot(3,1,2);
plot(v34h,'color',[0,0.75,0.75],'Linestyle','--','linewidth',0.8);
hold on;
plot(v36h,'color',[1,0.5,0],'Linestyle','-','linewidth',0.8);
hold on;
plot(v38h,'b:','linewidth',0.8);
hold on;
plot(v41h,'color',[0.75,0,0.75],'Linestyle','-.','linewidth',0.8);
hold on
axis([19000 23000 139.92 140.83]);
legend('1#','2#','3#','5#');
ylabel('Output Voltage(V)','FontSize',9);
title(' ','FontSize',9);
set(gca,'xtick',[],'xticklabel',[])
%% fu
subplot(3,1,3);
plot(fu34h,'color',[0,0.75,0.75],'Linestyle','--','linewidth',0.8);
hold on;
plot(fu36h,'color',[1,0.5,0],'Linestyle','-','linewidth',0.8);
hold on;
plot(fu38h,'b:','linewidth',0.8);
hold on;
plot(fu41h,'color',[0.75,0,0.75],'Linestyle','-.','linewidth',0.8);
hold on
axis([19000 23000 0.725 0.81]);
legend('1#','2#','3#','5#');
xlabel('Time(s)','FontSize',9);
ylabel('Fuel Utilization Rate','FontSize',9);
title(' ','FontSize',9);
%%
figure(3);
%% a
subplot(3,1,1);
plot(a34a,'k-','linewidth',0.8);
axis([19000 23000 0 12]);
ylabel({'Air Flow Rate';'Increment(10^-3mol/s)'},'FontSize',9);
title(' ','FontSize',9);
set(gca,'xtick',[],'xticklabel',[])
%% v
subplot(3,1,2);
plot(v34a,'color',[0,0.75,0.75],'Linestyle','--','linewidth',0.8);
hold on;
plot(v36a,'color',[1,0.5,0],'Linestyle','-','linewidth',0.8);
hold on;
plot(v38a,'b:','linewidth',0.8);
hold on;
plot(v41a,'color',[0.75,0,0.75],'Linestyle','-.','linewidth',0.8);
hold on
axis([19000 23000 136.6 140.5]);
legend('1#','2#','3#','5#');
ylabel('Output Voltage(V)','FontSize',9);
title(' ','FontSize',9);
set(gca,'xtick',[],'xticklabel',[])
%% fu
subplot(3,1,3);
plot(fu34a,'color',[0,0.75,0.75],'Linestyle','--','linewidth',0.8);
hold on;
plot(fu36a,'color',[1,0.5,0],'Linestyle','-','linewidth',0.8);
hold on;
plot(fu38a,'b:','linewidth',0.8);
hold on;
plot(fu41a,'color',[0.75,0,0.75],'Linestyle','-.','linewidth',0.8);
hold on
axis([19000 23000 0.782 0.803]);
legend('1#','2#','3#','5#');
xlabel('Time(s)','FontSize',9);
ylabel('Fuel Utilization Rate','FontSize',9);
title(' ','FontSize',9);