%%
load('data_Reforming_Anti_Disturbance.mat');
figure(1);
%% r
plot(rm,'k-','linewidth',0.8);
axis([4000 9000 3.7 3.9]);
xlabel('Time(s)','FontSize',9);
ylabel('Resistance Load()','FontSize',9);
title('','FontSize',9);
%%
figure(2);
%% h
subplot(2,1,1);
plot(hm,'b-','linewidth',0.8);
hold on;
plot(hs,'r--','linewidth',0.8);
axis([4000 9000 2.3 2.86]);
legend('MFPC','SFPC');
ylabel('Hydrogen Flow Rate(10^-4mol/s)','FontSize',9);
title('','FontSize',9);
set(gca,'xtick',[],'xticklabel',[])
%% a
subplot(2,1,2);
plot(am,'b-','linewidth',0.8);
hold on;
plot(as,'r--','linewidth',0.8);
axis([4000 9000 14 56]);
legend('MFPC','SFPC');
xlabel('Time(s)','FontSize',9);
ylabel('Air Flow Rate(10^-3mol/s)','FontSize',9);
title('','FontSize',9);
%%
figure(3);
%% v
subplot(2,1,1);
plot(vm,'color',[1,0.5,0],'Linestyle','-','linewidth',0.8);
hold on;
plot(vs,'color',[0,0.75,0.75],'Linestyle','-.','linewidth',0.8);
hold on;
plot(vset,'color',[0.75,0,0.75],'Linestyle',':','linewidth',0.8);
hold on;
axis([4000 9000 139.6 141.4]);
legend('MFPC','SFPC','Voltage Reference');
ylabel('Output Voltage(V)','FontSize',9);
title('','FontSize',9);
set(gca,'xtick',[],'xticklabel',[])
%% fu
subplot(2,1,2);
plot(fum,'color',[1,0.5,0],'Linestyle','-','linewidth',0.8);
hold on;
plot(fus,'color',[0,0.75,0.75],'Linestyle','-.','linewidth',0.8);
hold on;
axis([4000 9000 0.68 0.83]);
legend('MFPC','SFPC');
xlabel('Time(s)','FontSize',9);
ylabel('Fuel Utilization Rate','FontSize',9);
title('','FontSize',9);